package com.heyu.api.data.dao.calca;
/**
* <p>
* 接口表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaFaceConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaFaceConfigDao extends BaseMapper<CalcaFaceConfigEntity> {


	CalcaFaceConfigEntity selectCalcaFaceConfigById(@Param("id")Long id);


	Long insertCalcaFaceConfig(CalcaFaceConfigEntity calcaFaceConfig);


	Long insertOrUpdateCalcaFaceConfig(CalcaFaceConfigEntity calcaFaceConfig);


	int updateCalcaFaceConfigById(CalcaFaceConfigEntity calcaFaceConfig);


	int updateCoverCalcaFaceConfigById(CalcaFaceConfigEntity calcaFaceConfig);


	int deleteCalcaFaceConfigById(@Param("id")Long id);


    CalcaFaceConfigEntity selectCalcaFaceConfigByFace(String face);
}